Sharing

- « parallel\Channel::recv

- parallel\Channel::close »

- PHP Manual
- parallel\Channel
- Sharing

# parallel\Channel::send

(0.9.0)

parallel\Channel::send — Sharing

### Description

public parallel\Channel::send(mixed `$value`): void

Shall send the given value on this channel

### Exceptions

Warning

Shall throw parallel\Channel\Error\Closed if channel is closed.

Warning

Shall throw parallel\Channel\Error\IllegalValue if value is illegal.